<?php
/**
 * iF.SVNAdmin
 * Copyright (c) 2010 by Manuel Freiholz
 * http://www.insanefactory.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.
 */
include("include/config.inc.php");
$appEngine->forwardInvalidModule(!$appEngine->isRepositoryViewActive());
$appEngine->checkUserAuthentication(true, ACL_MOD_REPO, ACL_ACTION_VIEW);
$appTR->loadModule("repositorylist");

$do_delete = check_request_var("delete");
if( $do_delete )
{
  $appEngine->handleAction("delete_repository");
}

$repos = $appEngine->getRepositoryViewProvider()->getRepositories();
usort( $repos, array("\svnadmin\core\entities\Repository","compare") );
$appTemplate->addReplacement( "repos", $repos );

// Load the user list template file and add the array of users.
$appTemplate->loadFromFile( new \IF_File("templates/repositorylist.html") );
$appTemplate->processTemplate();
?>